Package org.apache.maven.shared.artifact.filter.collection

## Class FilterArtifacts

- java.lang.Object
- - org.apache.maven.shared.artifact.filter.collection.FilterArtifacts

    public class FilterArtifacts
    extends java.lang.Object

Version:
  $Id: FilterArtifacts.java 1716978 2015-11-28 14:47:04Z khmarbaise $
Author:
  Brian Fox

### Constructor Summary

Constructors
`FilterArtifacts()` Created new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFilter​(int index, ArtifactsFilter filter)` Inserts the specified element at the specified position in this list.
`void` `addFilter​(ArtifactsFilter filter)` Appends the specified element to the end of this list.
`void` `clearFilters()` Removes all of the elements from this list.
`java.util.Set<org.apache.maven.artifact.Artifact>` `filter​(java.util.Set<org.apache.maven.artifact.Artifact> artifacts)`
`java.util.List<ArtifactsFilter>` `getFilters()`
`void` `setFilters​(java.util.List<ArtifactsFilter> filters)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilterArtifacts

    public FilterArtifacts()

Created new instance.

### Method Detail

#### clearFilters

    public void clearFilters()

Removes all of the elements from this list. The list will be empty after this call returns.

#### addFilter

    public void addFilter​(ArtifactsFilter filter)

Appends the specified element to the end of this list.

Parameters:
  `filter` - element to be appended to this list.

#### addFilter

    public void addFilter​(int index,
                          ArtifactsFilter filter)

Inserts the specified element at the specified position in this list. Shifts the element currently at that position (if any) and any subsequent elements to the right (adds one to their indices).

Parameters:
  `index` - at which index the specified filter is to be inserted.
  `filter` - the filter to be inserted.
Throws:
  `java.lang.IndexOutOfBoundsException` - if index is out of range `(index < 0 || index > size())`.

#### filter

    public java.util.Set<org.apache.maven.artifact.Artifact> filter​(java.util.Set<org.apache.maven.artifact.Artifact> artifacts)
                                                             throws ArtifactFilterException

Parameters:
  `artifacts` - The `Artifact`s to filter.
Returns:
  The resulting artifacts set.
Throws:
  `ArtifactFilterException` - in case of a failure.

#### getFilters

    public java.util.List<ArtifactsFilter> getFilters()

Returns:
  the filters.

#### setFilters

    public void setFilters​(java.util.List<ArtifactsFilter> filters)

Parameters:
  `filters` - The filters to set.